<?php
class A
{
  public static $liczba = 100;
  public static function f()
  {
    echo "Wartość statycznego pola \$liczba to ";
    echo A::$liczba, ".\n";
  }
  public function g()
  {
    self::$liczba = 200;
    self::f();
  }
}

$objA = new A();

echo "Wartość statycznego pola \$liczba to {$objA->liczba}.\n";
$objA->f();
$objA->g();
?>
